pub use sea_orm_migration::prelude::*;

mod m20230619_221344_create_user;
mod m20230620_232650_create_keypair;
mod m20230625_211327_create_session;
mod m20230626_055920_create_setting;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20230619_221344_create_user::Migration),
            Box::new(m20230620_232650_create_keypair::Migration),
            Box::new(m20230625_211327_create_session::Migration),
            Box::new(m20230626_055920_create_setting::Migration),
        ]
    }
}
