use sea_orm::{DatabaseConnection, EntityTrait, QueryOrder};
use crate::db::entities::prelude::Setting;
use crate::db::entities::setting;

pub mod entities;

pub async fn get_config(conn: &DatabaseConnection) -> setting::Model {
    Setting::find()
        .order_by_desc(setting::Column::Id)
        .one(conn)
        .await
        .expect("Failed to access the database.")
        .expect("No settings entry found?")
}